/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

#include <stdbool.h>
#include <stdint.h>
#include "nrf_delay.h"
#include "nrf_gpio.h"
#include "boards.h"

/**
 * Watchdog example, remember to reset the board after downloading to flash
 */
int main(void)
{
    nrf_gpio_range_cfg_output(LED_START, LED_STOP); // LED config
    
    NRF_WDT->CRV = 32768; // Timeout period of 1 s

    NRF_WDT->TASKS_START = 1; // Watchdog start

    while(true)
    {                    
        nrf_gpio_port_set(LED_PORT, 1);
        
        nrf_delay_ms(900);
        
        //NRF_WDT->RR[0] = WDT_RR_RR_Reload; // Uncomment to reload the watchdog counter 
        
        nrf_gpio_port_set(LED_PORT, 2);
        
        nrf_delay_ms(900);
        
        nrf_gpio_port_set(LED_PORT, 4);        
    }
}

/**
 *@}
 **/
